Bug 1276923 - provide Python3 version of the package
provide Python3 version of the package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-behave (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 06:28 EST by Tomáš Hozza
Modified: 2016-03-26 14:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-behave-1.2.5-10.fc22 python-behave-1.2.5-10.fc23 python-behave-1.2.5-9.el7 python-behave-1.2.5-10.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-19 17:28:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for specfile that would fix this (2.31 KB, patch)
2016-02-25 11:05 EST, Miro Hrončok
no flags Details | Diff

  None (edit)
Description Tomáš Hozza 2015-11-01 06:28:08 EST
Description of problem:
Currently on F22, there is only Python2 version of python-behave package. Looking at pypi [1], the package is available also for Python3.

[1] https://pypi.python.org/pypi/behave
Comment 1 Matěj Cepl 2015-11-03 13:14:11 EST
Could you try package from http://koji.fedoraproject.org/koji/taskinfo?taskID=11689753 … does it work properly? I don’t have Fedora at hand to test.
Comment 2 Tomáš Hozza 2015-11-04 10:10:23 EST
Thanks for the quick response.

The python3-behave package does not install anything into /usr/bin, thus one is not able to run Behave with only Python3 version installed.

http://fpaste.org/286853/46649692/

Based on https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks, the python3-* package should install behave-3 and behave-3.4 into /usr/bin.

You can have a look at similar thing I did recently for python-couchdb package http://pkgs.fedoraproject.org/cgit/python-couchdb.git/commit/?id=11f43dd5d3851a983f25bc86b4b213379c1b12f6
Comment 3 Miro Hrončok 2016-02-25 11:05 EST
Created attachment 1130592 [details]
Patch for specfile that would fix this

I addressed the issue an I am providing a fix.

I also made /usr/bin/behave to run on Python 3, as this is the Fedora's default.

Please le tme know, if I can push this.
Comment 4 Fedora Update System 2016-02-29 04:15:46 EST
python-behave-1.2.5-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9e381832b8
Comment 5 Fedora Update System 2016-02-29 04:15:48 EST
python-behave-1.2.5-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b62d126146
Comment 6 Fedora Update System 2016-02-29 04:15:56 EST
python-behave-1.2.5-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-122393679c
Comment 7 Fedora Update System 2016-02-29 18:51:05 EST
python-behave-1.2.5-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-122393679c
Comment 8 Fedora Update System 2016-02-29 18:52:47 EST
python-behave-1.2.5-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9e381832b8
Comment 9 Fedora Update System 2016-02-29 21:22:54 EST
python-behave-1.2.5-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b62d126146
Comment 10 Fedora Update System 2016-03-09 10:12:25 EST
python-behave-1.2.5-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1216503c85
Comment 11 Fedora Update System 2016-03-09 10:12:36 EST
python-behave-1.2.5-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e9dfedc85
Comment 12 Miro Hrončok 2016-03-09 14:57:59 EST
Don't forget F24.
Comment 13 Matěj Cepl 2016-03-10 07:57:46 EST
(In reply to Miro Hrončok from comment #12)
> Don't forget F24.

Auch! It's running now http://koji.fedoraproject.org/koji/taskinfo?taskID=13296785
Comment 14 Fedora Update System 2016-03-10 08:19:19 EST
python-behave-1.2.5-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de90a466e4
Comment 15 Fedora Update System 2016-03-10 11:51:42 EST
python-behave-1.2.5-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e9dfedc85
Comment 16 Fedora Update System 2016-03-10 11:53:36 EST
python-behave-1.2.5-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1216503c85
Comment 17 Fedora Update System 2016-03-11 14:27:37 EST
python-behave-1.2.5-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de90a466e4
Comment 18 Fedora Update System 2016-03-19 17:28:18 EDT
python-behave-1.2.5-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-03-19 22:30:24 EDT
python-behave-1.2.5-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-03-20 20:31:35 EDT
python-behave-1.2.5-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-03-26 14:13:44 EDT
python-behave-1.2.5-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.